Chunker (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.chunker

## Interface Chunker

- All Known Implementing Classes:
    ChunkerME

      public interface Chunker

  The interface for chunkers which provide chunk tags for a sequence of tokens.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `chunk(String[] toks, String[] tags)` Generates chunk tags for the given sequence returning the result in an array.
    `Span[]` | `chunkAsSpans(String[] toks, String[] tags)` Generates tagged chunk spans for the given sequence returning the result in a span array.
    `Sequence[]` | `topKSequences(String[] sentence, String[] tags)` Returns the top k chunk sequences for the specified sentence with the specified pos-tags
    `Sequence[]` | `topKSequences(String[] sentence, String[] tags, double minSequenceScore)` Returns the top k chunk sequences for the specified sentence with the specified pos-tags

- - ### Method Detail

    - #### chunk

          String[] chunk(String[] toks,
                         String[] tags)

      Generates chunk tags for the given sequence returning the result in an array.
      Parameters:
        `toks` - an array of the tokens or words of the sequence.
        `tags` - an array of the pos tags of the sequence.
      Returns:
        an array of chunk tags for each token in the sequence.

    - #### chunkAsSpans

          Span[] chunkAsSpans(String[] toks,
                              String[] tags)

      Generates tagged chunk spans for the given sequence returning the result in a span array.
      Parameters:
        `toks` - an array of the tokens or words of the sequence.
        `tags` - an array of the pos tags of the sequence.
      Returns:
        an array of spans with chunk tags for each chunk in the sequence.

    - #### topKSequences

          Sequence[] topKSequences(String[] sentence,
                                   String[] tags)

      Returns the top k chunk sequences for the specified sentence with the specified pos-tags
      Parameters:
        `sentence` - The tokens of the sentence.
        `tags` - The pos-tags for the specified sentence.
      Returns:
        the top k chunk sequences for the specified sentence.

    - #### topKSequences

          Sequence[] topKSequences(String[] sentence,
                                   String[] tags,
                                   double minSequenceScore)

      Returns the top k chunk sequences for the specified sentence with the specified pos-tags
      Parameters:
        `sentence` - The tokens of the sentence.
        `tags` - The pos-tags for the specified sentence.
        `minSequenceScore` - A lower bound on the score of a returned sequence.
      Returns:
        the top k chunk sequences for the specified sentence.

Copyright © 2026 The Apache Software Foundation. All rights reserved.